<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Array,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer class="slp-py-64">
    <SlpRow
      v-for="feature_item in data"
      :key="feature_item['feature-name']"
      class="slp-py-64"
    >
      <SlpColumn :cols="6" size="md">
        <img
          style="width: 32px"
          :src="`/nuxt-images/icons/${feature_item['feature-icon']}`"
          alt=""
        />
        <SlpTypography
          style="font-weight: 700"
          class="slp-pb-16"
          tag="h3"
          variant="heading3"
        >
          {{ feature_item['feature-name'] }}
        </SlpTypography>
        <SlpTypography tag="p" variant="heading5">
          {{ feature_item['feature-description'] }}
        </SlpTypography>
      </SlpColumn>
      <SlpColumn :cols="6" size="md">
        <div
          v-for="item in feature_item['feature-list']"
          :key="item"
          class="slp-flex slp-pl-16 slp-pb-32"
          style="align-items: center"
        >
          <img src="/nuxt-images/icons/check.svg" alt="" />
          <SlpTypography class="slp-pl-16" tag="h5" variant="heading5">
            {{ item }}
          </SlpTypography>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped></style>
